#version 400

uniform mat4 modelViewProjectionMatrix;
uniform mat4 modelMatrix;

in vec3 position;
in vec3 normal;
in vec2 uv;

out vec3 vposition;
out vec3 vnormal;
out vec2 vuv;

void main()
{
	gl_Position = modelViewProjectionMatrix * vec4(position,1.0f);

	vposition = (modelMatrix * vec4(position,1.0f)).xyz;
	vnormal = mat3(modelMatrix) * normal;
	vuv = uv;
}