#version 400

uniform mat4 modelViewProjectionMatrix;
uniform mat4 modelMatrix;

in vec3 position;
in vec2 uv;

out vec2 vuv;
out vec3 vposition;

void main()
{
	gl_Position = modelViewProjectionMatrix * vec4(position,1.0f);
	vuv = uv;
	vposition = vec3(modelMatrix * vec4(position,1.0f));
}