#version 400

uniform sampler2D inputTexture;
uniform float threshold;

in vec2 vuv;

out vec4 out_color;

void main()
{
	vec4 color = texture(inputTexture, vuv);

	if(length(color.rgb) > threshold)
	{
		out_color = color;
	}
	else
		discard;
}