#version 330

in vec4 position;
in vec2 uv;

uniform mat4   mvpMatrix; // Transormation matrix

out vec3 vVaryingTexCoord;
out vec2 vuv;
out vec3 vposition;

void main(void)
{
    // Pass on the texture coordinates
    vVaryingTexCoord = normalize(position.xyz);
	vuv = uv;
	vposition = position.xyz;
    // Don't forget to transform the geometry!
    gl_Position = mvpMatrix * position;
}


